<?php
	if (isset($_POST['k1'])) {
		date_default_timezone_set('Europe/Warsaw');
		require_once('../../wiras_php/wa_baza/wa_polacz.php');
		$idp = $_POST['k1'];
		$to = $_POST['k2'];
		$idu = $_POST['k3'];
		$zap = "UPDATE zwierzenia SET id_userodp=$idu, odpowiedz='$to', data_odp=NOW() 
				WHERE id_zwierz=$idp";
		$wyslij = mysqli_query($db, $zap);
		//------------------------------------------
		
		$zap = "SELECT * FROM zwierzenia 
				WHERE odpowiedz='' ORDER BY data_pyt DESC";
		$wynik_pobierz = mysqli_query($db, $zap);
		$lo = $wynik_pobierz->num_rows;
		if ($lo>0) {
		$wynik = array();
		while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
			{
				$wynik[] = $wiersz;
			}
		}
		$zap = "SELECT * FROM zwierzenia 
				WHERE id_userodp=$idu ORDER BY data_odp DESC";
		$wynik_pobierz = mysqli_query($db, $zap);
		$luo = $wynik_pobierz->num_rows;
		if ($luo>0) {
		$moje_odpowiedzi = array();
		while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
			{
				$moje_odpowiedzi[] = $wiersz;
			}
		}
	//--------------------------
		
		echo '<div id="pz_tytul" style="width: 700px; height: 30px; color: #f00; margin: 5px auto;">';
		echo '<p id="zwierz_tytul">POKÓJ ZWIERZEŃ - Odpowiedzi asystentów na pytania</p>';
		echo '</div>';
		//--------------------
		
		echo '<div id="pzo_odpowiedz1">';
		echo '<p id="zwierz_info">Pytania bez odpowiedzi</p>';
		if ($lo>0) {
			for ($i=0; $i<$lo; $i++) {
				$nrid = $wynik[$i][0];
				echo '<div id="asystentzw_pytania" class="obz'.$i.'">';
				echo '<b>Pytanie nr: '.($i+1).'</b><br />';
				echo $wynik[$i][3].'<br /><br />';
				echo '<input type="submit" id="button_menu" value="Zaznacz pytanie" name="odpowiedz" class="asz'.$i.'">';
				echo '</div>';
				echo '<div id="pz_pytanieo" class="pzp'.$i.'">';
					echo '<p id="asystentzw_p1">Wpisz treść odpowiedzi na pytanie nr: '.($i+1).'</p>';
						echo '<form id="pz_form" name="pz_form" action="" method="post">';
						echo '<textarea id="pz_tresc" class="tmo'.$nrid.'" name="tresc" rows="10" cols="85" wrap="soft"></textarea>';
						echo '<input type="button" value="Wyślij odpowiedź" id="button_menu4" name="pz" class="wys'.$nrid.'">';
						echo '</form>';
				echo '</div>';	
			}
		} else {
			echo '<br />Brak pytań bez odpowiedzi<br /><br />';
		}
		echo '</div>';
		echo '<div id="odstep_as1"></div>';
		echo '<div id="pzo_odpowiedz2">';
		echo '<p id="zwierz_info">Twoje odpowiedzi</p>';
		if ($luo>0) {
			for ($i=0; $i<$luo; $i++) {
				echo '<div id="asystentzw_pytania" class="obo'.$i.'">';
				echo '<b>Pytanie</b><br />';
				echo $moje_odpowiedzi[$i][3].'<br /><br />';
				echo '------------------------------------------------------------<br />';
				echo '<b>Twoja odpowiedź</b><br />';
				echo $moje_odpowiedzi[$i][4].'<br /><br />';
				echo '</div>';
			}
		} else {
			echo '<br />Brak Twoich odpowiedzi<br /><br />';
		}
		echo '</div>';
		
	}
	unset($_POST['k1']);
		
?>